## Class TObjectProxy

Description

TObjectProxy sets up a simple object that intercepts method calls to a particular object and relays the call to handler object.

- since: 3.1
- version: $Id: TLazyLoadList.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/DataMapper/TLazyLoadList.php (line 114)

Method Summary
TObjectProxy __construct (object handler $handler, object the $object)
mixed __call (string $method, array $params)
Methods
Constructor __construct (line 123)

- access: public

TObjectProxy __construct (object handler $handler, object the $object)

- object handler $handler: to method calls.
- object the $object: object to by proxied.

__call (line 136)

Relay the method call to the handler object (if able to be handled), otherwise it calls the proxied object's method.

- return: method return value.
- access: public

mixed __call (string $method, array $params)

- string $method: method name called
- array $params: method arguments

Documentation generated on Mon, 21 Apr 2008 11:35:24 -0400 by phpDocumentor 1.3.0RC4